Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 402691 - app-text/po4a-0.41 doesn't honor LINGUAS for locale files
Summary: app-text/po4a-0.41 doesn't honor LINGUAS for locale files
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Fat-Zer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: respect_LINGUAS
  Show dependency tree
 
Reported: 2012-02-08 13:32 UTC by Piotr Szymaniak
Modified: 2016-05-08 09:01 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
po4a-0.45-r1.ebuild.patch (po4a-0.45-r1.ebuild.patch,1.25 KB, patch)
2014-11-29 17:59 UTC, Patrice Clement
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Szymaniak 2012-02-08 13:32:00 UTC
When package is emerged, it dumps LC_MESSAGES for many languages, whereas I have the line 'LINGUAS="en"' in make.conf.

Actual Results:  
LC_MESSAGES contains unwanted files

Expected Results:  
LC_MESSAGES should contain only files for selected LINGUAS


rekowered ~ # qlist app-text/po4a | grep locale
/usr/share/locale/af/LC_MESSAGES/po4a.mo
/usr/share/locale/bn/LC_MESSAGES/po4a.mo
/usr/share/locale/ca/LC_MESSAGES/po4a.mo
/usr/share/locale/cs/LC_MESSAGES/po4a.mo
/usr/share/locale/da/LC_MESSAGES/po4a.mo
/usr/share/locale/de/LC_MESSAGES/po4a.mo
/usr/share/locale/eo/LC_MESSAGES/po4a.mo
/usr/share/locale/es/LC_MESSAGES/po4a.mo
/usr/share/locale/et/LC_MESSAGES/po4a.mo
/usr/share/locale/eu/LC_MESSAGES/po4a.mo
/usr/share/locale/fr/LC_MESSAGES/po4a.mo
/usr/share/locale/he/LC_MESSAGES/po4a.mo
/usr/share/locale/hr/LC_MESSAGES/po4a.mo
/usr/share/locale/id/LC_MESSAGES/po4a.mo
/usr/share/locale/it/LC_MESSAGES/po4a.mo
/usr/share/locale/ja/LC_MESSAGES/po4a.mo
/usr/share/locale/kn/LC_MESSAGES/po4a.mo
/usr/share/locale/ko/LC_MESSAGES/po4a.mo
/usr/share/locale/ku/LC_MESSAGES/po4a.mo
/usr/share/locale/nb/LC_MESSAGES/po4a.mo
/usr/share/locale/nl/LC_MESSAGES/po4a.mo
/usr/share/locale/oc/LC_MESSAGES/po4a.mo
/usr/share/locale/pl/LC_MESSAGES/po4a.mo
/usr/share/locale/pt/LC_MESSAGES/po4a.mo
/usr/share/locale/pt_BR/LC_MESSAGES/po4a.mo
/usr/share/locale/ru/LC_MESSAGES/po4a.mo
/usr/share/locale/sl/LC_MESSAGES/po4a.mo
/usr/share/locale/sv/LC_MESSAGES/po4a.mo
/usr/share/locale/uk/LC_MESSAGES/po4a.mo
/usr/share/locale/uz/LC_MESSAGES/po4a.mo
/usr/share/locale/vi/LC_MESSAGES/po4a.mo
/usr/share/locale/zh_CN/LC_MESSAGES/po4a.mo
/usr/share/locale/zh_HK/LC_MESSAGES/po4a.mo




$ emerge --info app-text/po4a
Portage 2.1.10.45 (default/linux/x86/10.0, gcc-4.6.2, glibc-2.14.1-r2, 3.2.0-rc7 i686)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.2.0-rc7-i686-AMD_Sempron-tm-_Processor_3600+-with-gentoo-2.1
Timestamp of tree: Tue, 07 Feb 2012 09:15:01 +0000
distcc 3.1 i686-pc-linux-gnu [disabled]
app-shells/bash:          4.2_p20
dev-lang/python:          2.7.2-r3, 3.2.2
dev-util/cmake:           2.8.7-r3
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1
sys-apps/openrc:          0.9.8.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.68
sys-devel/automake:       1.11.3
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.6.2
sys-devel/gcc-config:     1.5-r2
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.2 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r2
Repositories: gentoo
ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-Os -march=pentium4 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-Os -march=pentium4 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--load-average 5 --jobs 3"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.ift.uni.wroc.pl/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync1.pl.gentoo.org/gentoo-portage"
USE="acl berkdb bzip2 cli cracklib crypt cups cxx dri fortran gdbm gpm iconv ipv6 modules mudflap ncurses nls nptl nptlonly openmp pam pcre pppd readline session ssl sysfs tcpd unicode x86 xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

app-text/po4a-0.41 was built with the following:
USE="-test"
Comment 1 Jeroen Roovers gentoo-dev 2012-02-14 16:18:11 UTC
Um, this is taking it a bit too far. If you made it your project to go through the entire tree to look for packages that do not honour LINGUAS, you're going about it the wrong way.

Stop filing these bugs now or only file them for packages you show a clear personal interest for.
Comment 2 Patrice Clement gentoo-dev 2014-11-29 17:59:13 UTC
Created attachment 390588 [details, diff]
po4a-0.45-r1.ebuild.patch

Put together a patch that fixes LINGUAS not being honoured. I've only tried with LINGUAS=fr and it solely installs the fr.po locale file. It's in the tree as well. Please reopen and assign it to me if you encounter issues with this patch.
Comment 3 Mart Raudsepp gentoo-dev 2015-04-01 15:16:08 UTC
1) I still get all .mo files installed after this revbump that includes the USE_EXPAND for them.
2) Using USE_EXPAND is wrong for LINGUAS for when it simply controls stuff like whether a translation .mo is installed or not; it is a standard gettext/intltool honored environment variable that does reach gettext/intltool on its own, without spamming USE flags; USE_EXPAND on LINGUAS is useful when it needs to control something like extra download, e.g language packs
3) More importantly, USE_EXPAND doesn't seem to allow to cleanly support a very important feature of gettext LINGUAS: Install ALL translations when LINGUAS is unset (as opposed to set to an empty variable).
Comment 4 Jan Vesely 2016-05-07 13:54:35 UTC
This should be fixed in po4a-0.45-r3
Comment 5 Pacho Ramos gentoo-dev 2016-05-08 09:01:57 UTC
Thanks for feedback